.budi-interactive-horizontal-accordion__container {
    gap: 15px;
}

.budi-interactive-horizontal-accordion__item {
    background-size: cover;
    background-position: center;
    width: calc(100% / 2 - 15px + (15px / 2));
    height: 600px;
    transition: width 0.6s ease;
}

.budi-interactive-horizontal-accordion__item::before,
.budi-interactive-horizontal-accordion__mobile-item::before {
    content: '';
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 50%, rgba(27, 31, 42, 0.8) 100%);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

.budi-interactive-horizontal-accordion__item.budi-opened {
    width: 150%;
}

/* Base styles for the content */
.budi-interactive-horizontal-accordion__item-content {
    position: absolute;
    z-index: 3;
    font-weight: 300;
    font-size: 35px !important;
    line-height: 1.3em !important;
    color: #fff !important;
    transition: all 0.6s ease;
}

/* Styles for non-opened state */
.budi-interactive-horizontal-accordion__item:not(.budi-opened) .budi-interactive-horizontal-accordion__item-content {
    transform: rotate(-90deg);
    transform-origin: left bottom;
    bottom: 30px;
    left: 110px;
    width: 300px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.budi-interactive-horizontal-accordion__item:not(.budi-opened):nth-child(3) .budi-interactive-horizontal-accordion__item-content {
    left: 80px;
}

/* Styles for opened state */
.budi-interactive-horizontal-accordion__item.budi-opened .budi-interactive-horizontal-accordion__item-content {
    transform: rotate(0);
    bottom: 30px;
    left: 30px;
    width: 80%;
    display: block;
    /* Reset the line clamp */
    -webkit-line-clamp: unset;
    overflow: visible;
}


.budi-interactive-horizontal-accordion__mobile-item {
    max-width: 285px;
    height: 450px !important;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top center;
}

@media screen and (max-width: 1200px) {

    .budi-interactive-horizontal-accordion__item-content {
        font-size: 26px !important;
    }

    .budi-interactive-horizontal-accordion__item:not(.budi-opened) .budi-interactive-horizontal-accordion__item-content{
        left: 80px;
    }

    .budi-interactive-horizontal-accordion__item:not(.budi-opened):nth-child(3) .budi-interactive-horizontal-accordion__item-content{
        left: 60px;
    }
}

@media screen and (max-width: 992px) {
    .budi-interactive-horizontal-accordion__item-content {
        width: calc(100% - 40px);
        position: absolute;
        bottom: 25px;
        left: 25px;
        line-height: 1.4em !important;
        font-size: 24px !important;
    }
}

/* Swiper Controls Container */
.budi-interactive-horizontal-accordion__mobile-container .swiper-controls {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 40px;
    margin-top: 15px;
}

/* Navigation Arrows */
.budi-interactive-horizontal-accordion__mobile-container .swiper-button-next,
.budi-interactive-horizontal-accordion__mobile-container .swiper-button-prev {
    position: relative;
    top: auto;
    left: auto;
    right: auto;
    margin: 0;
    width: 45px;
    height: 10px;
    background-image: url("data:image/svg+xml,%3Csvg width='48' height='8' viewBox='0 0 48 8' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M47.3533 4.35355C47.5486 4.15829 47.5486 3.84171 47.3533 3.64645L44.1713 0.464466C43.976 0.269204 43.6595 0.269204 43.4642 0.464466C43.2689 0.659728 43.2689 0.976311 43.4642 1.17157L46.2926 4L43.4642 6.82843C43.2689 7.02369 43.2689 7.34027 43.4642 7.53553C43.6595 7.7308 43.976 7.7308 44.1713 7.53553L47.3533 4.35355ZM0.571167 4.5H46.9997V3.5H0.571167V4.5Z' fill='%231B1F2A'/%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100%;
    transition: all 0.3s ease;
}

.budi-interactive-horizontal-accordion__mobile-container .swiper-button-prev {
    background-image: url("data:image/svg+xml,%3Csvg width='48' height='8' viewBox='0 0 48 8' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0.646465 4.35355C0.451202 4.15829 0.451202 3.84171 0.646465 3.64645L3.82845 0.464466C4.02371 0.269204 4.34029 0.269204 4.53555 0.464466C4.73082 0.659728 4.73082 0.976311 4.53555 1.17157L1.70713 4L4.53555 6.82843C4.73082 7.02369 4.73082 7.34027 4.53555 7.53553C4.34029 7.7308 4.02371 7.7308 3.82845 7.53553L0.646465 4.35355ZM47.4286 4.5H1.00002V3.5H47.4286V4.5Z' fill='%231B1F2A'/%3E%3C/svg%3E%0A");
}

.budi-interactive-horizontal-accordion__mobile-container .swiper-button-next:after,
.budi-interactive-horizontal-accordion__mobile-container .swiper-button-prev:after {
    display: none;
}

/* Pagination */
.budi-interactive-horizontal-accordion__mobile-container .swiper-pagination {
    margin-top: 20px;
    position: relative;
    bottom: auto;
    width: auto;
    bottom: 0 !important;
}

.budi-interactive-horizontal-accordion__mobile-container .swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    background: #000;
    opacity: 0.3;
    margin: 0 5px;
    border-radius: 0;
    transition: all 0.3s ease;
}

.budi-interactive-horizontal-accordion__mobile-container .swiper-pagination-bullet-active {
    opacity: 1;
}